Subject: bug#76091: 31.0.50; festure/igc: buffer.h:829: Emacs fatal error: assertion failed: BUFFERP (a)

From: Gerd Möllmann <[email-masked]>
Date: Fri, 7 Feb 2025 14:47:55 +0100

On 7. Feb 2025, at 11:41, Pip Cet <[email-masked]> wrote:
> 
> I have a patch, but I'd like to discuss whether this is a plausible
> theory first.  Gerd, if there's something that prevents this problem
> from happening, and I missed it, could you briefly yell at me here?

Good catch!

I think he idea I had with the igc_on_... is mistaken, one must not free the memory of a root while the MPS is not parked.